-- ex3a.sql (workload a)
-- view

\set n_user  10000
\set n_entry 20

\set bidmax  :n_user * :n_entry
\setrandom bid       1 :bidmax
\setrandom tag_r     0 99

BEGIN ;
SELECT bid, substr(message, 1, 50) FROM miniblog ORDER BY ts DESC LIMIT 10;

SELECT bid, substr(message, 1, 50) FROM miniblog WHERE bid IN (SELECT bid FROM mb_tag WHERE tags && ARRAY[substr(md5( :tag_r ::text), 1, 3)]) ORDER BY ts LIMIT 10;

SELECT * FROM miniblog WHERE bid = :bid ;
SELECT * FROM mb_tag WHERE bid = :bid ;
SELECT * FROM mb_comment WHERE bid = :bid ORDER BY ts DESC LIMIT 10;
END ;

